<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ITEM_HitIndicationData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/daa/class_i_t_e_m___hit_indication_data.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ITEM_HitIndicationData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a330208ec61c142e57c759a1df5dc5b79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#a330208ec61c142e57c759a1df5dc5b79">InitServer</a> ()</td></tr>
<tr class="separator:a330208ec61c142e57c759a1df5dc5b79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad77c97cf1a620b438bc144d6c01f9e27"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#ad77c97cf1a620b438bc144d6c01f9e27">hitDirectionOverrideEnabled</a> = false</td></tr>
<tr class="separator:ad77c97cf1a620b438bc144d6c01f9e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a326f222711c1b2945792993baf9e9ee0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#a326f222711c1b2945792993baf9e9ee0">hitDirectionBehaviour</a> = HitDirectionModes.STATIC</td></tr>
<tr class="separator:a326f222711c1b2945792993baf9e9ee0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c1db8978688cbf6eacd6a645738ea5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#a58c1db8978688cbf6eacd6a645738ea5">hitDirectionStyle</a> = HitIndicatorType.SPLASH</td></tr>
<tr class="separator:a58c1db8978688cbf6eacd6a645738ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314c93e4ab65fcf62e7c455a227c5a2e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#a314c93e4ab65fcf62e7c455a227c5a2e">hitDirectionIndicatorColorStr</a></td></tr>
<tr class="separator:a314c93e4ab65fcf62e7c455a227c5a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac555ec5bef112b78cc7836926199c7f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#ac555ec5bef112b78cc7836926199c7f2">hitDirectionMaxDuration</a> = HitDirectionConstants.DURATION_BASE</td></tr>
<tr class="separator:ac555ec5bef112b78cc7836926199c7f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29651c056ed0c870058911da0d8e0787"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#a29651c056ed0c870058911da0d8e0787">hitDirectionBreakPointRelative</a> = HitDirectionConstants.BREAKPOINT_BASE</td></tr>
<tr class="separator:a29651c056ed0c870058911da0d8e0787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f7f2b9d1406c5a5496c79873d88ddb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#ac9f7f2b9d1406c5a5496c79873d88ddb">hitDirectionScatter</a> = HitDirectionConstants.SCATTER</td></tr>
<tr class="separator:ac9f7f2b9d1406c5a5496c79873d88ddb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf35c623ef327abe3a1eeabb687302d8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html#aaf35c623ef327abe3a1eeabb687302d8">hitIndicationPostProcessEnabled</a> = false</td></tr>
<tr class="separator:aaf35c623ef327abe3a1eeabb687302d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00167">167</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a330208ec61c142e57c759a1df5dc5b79" name="a330208ec61c142e57c759a1df5dc5b79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a330208ec61c142e57c759a1df5dc5b79">&#9670;&#160;</a></span>InitServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ITEM_HitIndicationData::InitServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00169">169</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a326f222711c1b2945792993baf9e9ee0" name="a326f222711c1b2945792993baf9e9ee0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a326f222711c1b2945792993baf9e9ee0">&#9670;&#160;</a></span>hitDirectionBehaviour</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ITEM_HitIndicationData::hitDirectionBehaviour = HitDirectionModes.STATIC</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00179">179</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a29651c056ed0c870058911da0d8e0787" name="a29651c056ed0c870058911da0d8e0787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29651c056ed0c870058911da0d8e0787">&#9670;&#160;</a></span>hitDirectionBreakPointRelative</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ITEM_HitIndicationData::hitDirectionBreakPointRelative = HitDirectionConstants.BREAKPOINT_BASE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00183">183</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a314c93e4ab65fcf62e7c455a227c5a2e" name="a314c93e4ab65fcf62e7c455a227c5a2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a314c93e4ab65fcf62e7c455a227c5a2e">&#9670;&#160;</a></span>hitDirectionIndicatorColorStr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ITEM_HitIndicationData::hitDirectionIndicatorColorStr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00181">181</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="ac555ec5bef112b78cc7836926199c7f2" name="ac555ec5bef112b78cc7836926199c7f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac555ec5bef112b78cc7836926199c7f2">&#9670;&#160;</a></span>hitDirectionMaxDuration</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ITEM_HitIndicationData::hitDirectionMaxDuration = HitDirectionConstants.DURATION_BASE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00182">182</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="ad77c97cf1a620b438bc144d6c01f9e27" name="ad77c97cf1a620b438bc144d6c01f9e27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad77c97cf1a620b438bc144d6c01f9e27">&#9670;&#160;</a></span>hitDirectionOverrideEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ITEM_HitIndicationData::hitDirectionOverrideEnabled = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >!! all member variables must correspond with the cfggameplay.json file contents !!!! !! all member variables must be defined in the .json file, otherwise they are treated as '0' value (unless that's what you want..) </p>

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00178">178</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="ac9f7f2b9d1406c5a5496c79873d88ddb" name="ac9f7f2b9d1406c5a5496c79873d88ddb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f7f2b9d1406c5a5496c79873d88ddb">&#9670;&#160;</a></span>hitDirectionScatter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ITEM_HitIndicationData::hitDirectionScatter = HitDirectionConstants.SCATTER</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00184">184</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="a58c1db8978688cbf6eacd6a645738ea5" name="a58c1db8978688cbf6eacd6a645738ea5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58c1db8978688cbf6eacd6a645738ea5">&#9670;&#160;</a></span>hitDirectionStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ITEM_HitIndicationData::hitDirectionStyle = HitIndicatorType.SPLASH</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00180">180</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<a id="aaf35c623ef327abe3a1eeabb687302d8" name="aaf35c623ef327abe3a1eeabb687302d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf35c623ef327abe3a1eeabb687302d8">&#9670;&#160;</a></span>hitIndicationPostProcessEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ITEM_HitIndicationData::hitIndicationPostProcessEnabled = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html#l00185">185</a> of file <a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../da/d9e/_cfg_gameplay_data_json_8c_source.html">CfgGameplayDataJson.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/daa/class_i_t_e_m___hit_indication_data.html">ITEM_HitIndicationData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
